;==============================================================================

; File: "gambit#.scm", Time-stamp: <2005-05-08 22:15:36 feeley>

; Copyright (C) 2005 by Marc Feeley, All Rights Reserved.

;==============================================================================

; Identifiers bound to syntactic forms and procedures defined by Gambit
; are mapped to the empty namespace (no prefix).

(##include "r5rs#.scm") ; most identifier bindings are inherited from R5RS

(##namespace ("" ; these identifier bindings are specific to Gambit

; special forms
cond-expand
declare
define-macro
define-record-type
define-structure
define-type
include
namespace
parameterize
receive
time

six.!x
six.&x
six.*x
six.++x
six.+x
six.--x
six.-x
six.arrow
six.call
six.compound
six.cons
six.define-procedure
six.define-variable
six.do-while
six.dot
six.for
six.identifier
six.if
six.index
six.list
six.literal
six.new
six.null
six.prefix
six.procedure
six.procedure-body
six.while
six.x!=y
six.x%=y
six.x%y
six.x&&y
six.x&=y
six.x&y
six.x*=y
six.x*y
six.x++
six.x+=y
six.x+y
|six.x,y|
six.x--
six.x-=y
six.x-y
six.x/=y
six.x/y
six.x:=y
six.x:y
six.x<<=y
six.x<<y
six.x<=y
six.x<y
six.x==y
six.x=y
six.x>=y
six.x>>=y
six.x>>y
six.x>y
six.x?y:z
six.x^=y
six.x^y
|six.x\|=y|
|six.x\|\|y|
|six.x\|y|
six.~x

six.!
six.break
six.case
six.clause
six.continue
six.goto
six.label
six.return
six.switch
six.x:-y

; procedures (TODO: check consistency with release, remove stuff in r5rs)
abs
acos
all-bits-set?
angle
any-bits-set?
arithmetic-shift
asin
atan
bit-count
bit-set?
bitwise-and
bitwise-ior
bitwise-merge
bitwise-not
bitwise-xor
call-with-current-continuation
ceiling
char-ready?
clear-bit-field
close-input-port
close-output-port
close-port
copy-bit-field
copy-file
cos
create-directory
create-link
create-symbolic-link
default-random-source
delete-directory
delete-file
denominator
directory-files
eq?
equal?
eqv?
error
even?
exact->inexact
exp
expt
f32vector
f32vector->list
f32vector-append
f32vector-length
f32vector-ref
f32vector-set!
f64vector
f64vector->list
f64vector-append
f64vector-length
f64vector-ref
f64vector-set!
first-set-bit
floor
force-output
foreign-release!
gensym
get-output-string
get-output-u8vector
get-output-vector
getenv
group-info
host-info
imag-part
inexact->exact
input-port-byte-position
integer-length
integer-nth-root
integer-sqrt
keyword->string
lc
list
list->f32vector
list->f64vector
list->s16vector
list->s32vector
list->s64vector
list->s8vector
list->table
list->u16vector
list->u32vector
list->u64vector
list->u8vector
load
log
magnitude
make-f32vector
make-f64vector
make-parameter
make-polar
make-rectangular
make-s16vector
make-s32vector
make-s64vector
make-s8vector
make-table
make-u16vector
make-u32vector
make-u64vector
make-u8vector
make-will
modulo
negative?
network-info
numerator
odd?
open-directory
open-file
open-input-file
open-input-string
open-input-u8vector
open-input-vector
open-output-file
open-output-string
open-output-u8vector
open-output-vector
open-string
open-string-pipe
open-u8vector
open-u8vector-pipe
open-vector
open-vector-pipe
output-port-byte-position
output-port-width
path-expand
path-normalize
pcase10
pcase11
pcase12
pcase13
pcase3
pcase4
pcase5
pcase6
pcase7
pcase8
pcase9
peek-char
positive?
pp
protocol-info
quotient
random-source-state-set!
rationalize
read
read-char
read-subu8vector
real-part
remainder
rename-file
replace-bit-field
round
s16vector
s16vector->list
s16vector-append
s16vector-length
s16vector-ref
s16vector-set!
s32vector
s32vector->list
s32vector-append
s32vector-length
s32vector-ref
s32vector-set!
s64vector
s64vector->list
s64vector-append
s64vector-length
s64vector-ref
s64vector-set!
s8vector
s8vector->list
s8vector-append
s8vector-length
s8vector-ref
s8vector-set!
serial-number->object
service-info
set-box!
setenv
shell-command
sin
sqrt
string->keyword
string-append
string-ci=?
string-ci=?-hash
string=?
string=?-hash
table-ref
tan
thread-join!
thread-start!
truncate
u16vector
u16vector->list
u16vector-append
u16vector-length
u16vector-ref
u16vector-set!
u32vector
u32vector->list
u32vector-append
u32vector-length
u32vector-ref
u32vector-set!
u64vector
u64vector->list
u64vector-append
u64vector-length
u64vector-ref
u64vector-set!
u8vector
u8vector->list
u8vector-append
u8vector-length
u8vector-ref
u8vector-set!
unbox
user-info
vector-append
will-testator
write
write-char
write-subu8vector
zero?

*
+
-
/
<
<=
=
>
>=
abandoned-mutex-exception?
abort
append
apply
assoc
assq
assv
boolean?
box
box?
break
caaaar
caaadr
caaar
caadar
caaddr
caadr
caar
cadaar
cadadr
cadar
caddar
cadddr
caddr
cadr
call-with-input-file
call-with-input-string
call-with-input-u8vector
call-with-input-vector
call-with-output-file
call-with-output-string
call-with-output-u8vector
call-with-output-vector
call-with-values
call/cc
car
cdaaar
cdaadr
cdaar
cdadar
cdaddr
cdadr
cdar
cddaar
cddadr
cddar
cdddar
cddddr
cdddr
cddr
cdr
cfun-conversion-exception-arguments
cfun-conversion-exception-code
cfun-conversion-exception-message
cfun-conversion-exception-procedure
cfun-conversion-exception?
char->integer
char-alphabetic?
char-ci<=?
char-ci<?
char-ci=?
char-ci>=?
char-ci>?
char-downcase
char-lower-case?
char-numeric?
char-upcase
char-upper-case?
char-whitespace?
char<=?
char<?
char=?
char>=?
char>?
char?
command-line
complex?
condition-variable-broadcast!
condition-variable-name
condition-variable-signal!
condition-variable-specific
condition-variable-specific-set!
condition-variable?
cons
console-port
cpu-time
create-fifo
current-directory
current-error-port
current-exception-handler
current-input-port
current-output-port
current-readtable
current-thread
current-time
current-user-interrupt-handler
datum-parsing-exception-kind
datum-parsing-exception-parameters
datum-parsing-exception-readenv
datum-parsing-exception?
deadlock-exception?
display
display-environment-set!
divide-by-zero-exception-arguments
divide-by-zero-exception-procedure
divide-by-zero-exception?
dynamic-wind
eof-object?
eq?-hash
equal?-hash
eqv?-hash
err-code->string
error-exception-message
error-exception-parameters
error-exception?
eval
exact?
exit
expression-parsing-exception-kind
expression-parsing-exception-parameters
expression-parsing-exception-source
expression-parsing-exception?
extract-bit-field
f32vector-copy
f32vector-fill!
f32vector?
f64vector-copy
f64vector-fill!
f64vector?
file-attributes
file-creation-time
file-device
file-exists?
file-group
file-info
file-info-attributes
file-info-creation-time
file-info-device
file-info-group
file-info-inode
file-info-last-access-time
file-info-last-change-time
file-info-last-modification-time
file-info-mode
file-info-number-of-links
file-info-owner
file-info-size
file-info-type
file-info?
file-inode
file-last-access-time
file-last-change-time
file-last-modification-time
file-mode
file-number-of-links
file-owner
file-size
file-type
for-each
force
foreign-address
foreign-released?
gc-report-set!
gcd
group-info-gid
group-info-members
group-info-name
group-info?
heap-overflow-exception?
host-info-addresses
host-info-aliases
host-info-name
host-info?
improper-length-list-exception-arg-num
improper-length-list-exception-arguments
improper-length-list-exception-procedure
improper-length-list-exception?
inexact?
input-port-column
input-port-line
input-port-readtable
input-port-readtable-set!
input-port-timeout-set!
input-port?
integer->char
integer?
interaction-environment
invalid-hash-number-exception-arguments
invalid-hash-number-exception-procedure
invalid-hash-number-exception?
join-timeout-exception-arguments
join-timeout-exception-procedure
join-timeout-exception?
keyword-expected-exception-arguments
keyword-expected-exception-procedure
keyword-expected-exception?
keyword-hash
keyword?
lcm
length
list->string
list->vector
list-ref
list-tail
list?
make-condition-variable
make-mutex
make-random-source
make-string
make-thread
make-thread-group
make-vector
map
max
member
memq
memv
min
multiple-c-return-exception?
mutex-lock!
mutex-name
mutex-specific
mutex-specific-set!
mutex-state
mutex-unlock!
mutex?
network-info-aliases
network-info-name
network-info-net
network-info?
newline
no-such-file-or-directory-exception-arguments
no-such-file-or-directory-exception-procedure
no-such-file-or-directory-exception?
noncontinuable-exception-reason
noncontinuable-exception?
nonprocedure-operator-exception-arguments
nonprocedure-operator-exception-code
nonprocedure-operator-exception-operator
nonprocedure-operator-exception-rte
nonprocedure-operator-exception?
not
null-environment
null?
number->string
number-of-arguments-limit-exception-arguments
number-of-arguments-limit-exception-procedure
number-of-arguments-limit-exception?
number?
object->serial-number
object->string
open-process
open-tcp-client
open-tcp-server
os-exception-arguments
os-exception-code
os-exception-message
os-exception-procedure
os-exception?
output-port-column
output-port-line
output-port-readtable
output-port-readtable-set!
output-port-timeout-set!
output-port?
pair?
path-directory
path-extension
path-strip-directory
path-strip-extension
path-strip-volume
path-volume
port-encoding-set!
port?
pretty-print
primordial-exception-handler
procedure?
process-times
proper-tail-calls-set!
protocol-info-aliases
protocol-info-name
protocol-info-number
protocol-info?
raise
random-integer
random-real
random-source-make-integers
random-source-make-reals
random-source-pseudo-randomize!
random-source-randomize!
random-source-state-ref
random-source?
range-exception-arg-num
range-exception-arguments
range-exception-procedure
range-exception?
rational?
read-all
read-byte
read-line
readtable-case-conversion?
readtable-case-conversion?-set
readtable-eval-allowed?
readtable-eval-allowed?-set
readtable-keywords-allowed?
readtable-keywords-allowed?-set
readtable-max-write-length
readtable-max-write-length-set
readtable-max-write-level
readtable-max-write-level-set
readtable-sharing-allowed?
readtable-sharing-allowed?-set
readtable-start-syntax
readtable-start-syntax-set
readtable?
real-time
real?
repl-input-port
repl-output-port
reverse
s16vector-copy
s16vector-fill!
s16vector?
s32vector-copy
s32vector-fill!
s32vector?
s64vector-copy
s64vector-fill!
s64vector?
s8vector-copy
s8vector-fill!
s8vector?
scheduler-exception-reason
scheduler-exception?
scheme-report-environment
seconds->time
service-info-aliases
service-info-name
service-info-port
service-info-protocol
service-info?
set-car!
set-cdr!
sfun-conversion-exception-arguments
sfun-conversion-exception-code
sfun-conversion-exception-message
sfun-conversion-exception-procedure
sfun-conversion-exception?
six.make-array
stack-overflow-exception?
started-thread-exception-arguments
started-thread-exception-procedure
started-thread-exception?
step
step-level-set!
string
string->list
string->number
string->symbol
string-ci<=?
string-ci<?
string-ci>=?
string-ci>?
string-copy
string-fill!
string-length
string-ref
string-set!
string<=?
string<?
string>=?
string>?
string?
subf32vector
subf64vector
subs16vector
subs32vector
subs64vector
subs8vector
substring
subu16vector
subu32vector
subu64vector
subu8vector
subvector
symbol->string
symbol-hash
symbol?
system-version
system-version-string
table->list
table-for-each
table-length
table-search
table-set!
table?
terminated-thread-exception-arguments
terminated-thread-exception-procedure
terminated-thread-exception?
test-bit-field?
thread-base-priority
thread-base-priority-set!
thread-group-name
thread-group-parent
thread-group-resume!
thread-group-suspend!
thread-group-terminate!
thread-group?
thread-name
thread-priority-boost
thread-priority-boost-set!
thread-quantum
thread-quantum-set!
thread-resume!
thread-sleep!
thread-specific
thread-specific-set!
thread-suspend!
thread-terminate!
thread-thread-group
thread-yield!
thread?
time->seconds
touch
trace
transcript-off
transcript-on
tty-history
tty-history-set!
tty-max-history-length-set!
tty-mode-set!
tty-paren-balance-duration-set!
tty-text-attributes-set!
tty-type-set!
tty?
type-exception-arg-num
type-exception-arguments
type-exception-procedure
type-exception-type-id
type-exception?
u16vector-copy
u16vector-fill!
u16vector?
u32vector-copy
u32vector-fill!
u32vector?
u64vector-copy
u64vector-fill!
u64vector?
u8vector-copy
u8vector-fill!
u8vector?
unbound-global-exception-code
unbound-global-exception-rte
unbound-global-exception-variable
unbound-global-exception?
unbound-os-environment-variable-exception-arguments
unbound-os-environment-variable-exception-procedure
unbound-os-environment-variable-exception?
unbound-serial-number-exception-arguments
unbound-serial-number-exception-procedure
unbound-serial-number-exception?
unbound-table-key-exception-arguments
unbound-table-key-exception-procedure
unbound-table-key-exception?
unbreak
uncaught-exception-arguments
uncaught-exception-procedure
uncaught-exception-reason
uncaught-exception?
uninterned-keyword?
uninterned-symbol?
unknown-keyword-argument-exception-arguments
unknown-keyword-argument-exception-procedure
unknown-keyword-argument-exception?
untrace
user-info-gid
user-info-home
user-info-name
user-info-shell
user-info-uid
user-info?
values
vector
vector->list
vector-copy
vector-fill!
vector-length
vector-ref
vector-set!
vector?
void
will-execute!
will?
with-exception-catcher
with-exception-handler
with-input-from-file
with-input-from-port
with-input-from-string
with-input-from-u8vector
with-input-from-vector
with-output-to-file
with-output-to-port
with-output-to-string
with-output-to-u8vector
with-output-to-vector
write-byte
write-substring
wrong-number-of-arguments-exception-arguments
wrong-number-of-arguments-exception-procedure
wrong-number-of-arguments-exception?

))

;==============================================================================
